[SWS-425] Upgrade xmlsec to 1.4.1, since 1.4.0 has problems with UTF-8 Created: 05/Sep/08  Updated: 04/May/12  Resolved: 11/Sep/08

Status: Closed
Project: Spring Web Services
Component/s: Core
Affects Version/s: 1.5.4
Fix Version/s: 1.5.5

Type: Improvement Priority: Major
Reporter: Robert Novotny Assignee: Arjen Poutsma
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

Spring-WS 1.5.4, WSS4J 1.5.4, Apache XML Security 1.4.0



 Description   

Apache XML Security 1.4.0 has major problems with signed and encrypted messages containing international characters (e. g. payloads containing Czech/Slovak UTF-8-encoded characters. This renders WSS4J support unusable. Version 1.4.1 fixes these problems. See XML Security bugzilla for more details, https://issues.apache.org/bugzilla/show_bug.cgi?id=41462.

(Note that there is already a newer version 1.4.2, however I have encountered major problems with computation of digest of request messages.)



 Comments   
Comment by Arjen Poutsma [ 05/Sep/08 ]

Unfortunately, 1.4.1 has not made it to the Maven repo yet. There is a directory for it (http://repo1.maven.org/maven2/org/apache/santuario/xmlsec/1.4.1/), but no jars...

Comment by Robert Novotny [ 10/Sep/08 ]

After a short discussion on this issue on XML Security mailing list (see http://www.nabble.com/Upload-1.4.1-and-1.4.2-to-Maven-Repo-td19387238.html), the problem was has been resolved.

JARs for 1.4.1 and 1.4.2 have been uploaded to Maven repository (http://repo1.maven.org/maven2/org/apache/santuario/xmlsec/1.4.1/).

Comment by Arjen Poutsma [ 11/Sep/08 ]

Fixed, thanks for your help!

Comment by Arjen Poutsma [ 04/May/12 ]

Closing old issues

Generated at Sat Dec 16 06:58:29 UTC 2017 using JIRA 6.4.14#64029-sha1:ae256fe0fbb912241490ff1cecfb323ea0905ca5.